#!/bin/sh
#
erreur()
{
echo =========================
echo echec $1
echo =========================
exit 1
}

NOM_ARCH=`uname -s | sed -e 's/-/_/g'`

BINPATH=`pwd`                               #BINPATH=/home/saturne/bin
SATURNEPATH=`dirname $BINPATH`              #SATURNEPATH=/home/saturne

#chemins gmp
VERSIONGMP="4.1.4"
SRCPATHGMP=$SATURNEPATH/src/gmp-$VERSIONGMP       #SRCPATH=/home/saturne/src/gmp-4.1.4
OPTPATHGMP=$SATURNEPATH/opt/gmp-$VERSIONGMP       #OPTPATH=/home/saturne/opt/gmp-4.1.4
BUILDGMP=$SATURNEPATH/src/gmp-${VERSIONGMP}.build #SRCPATH=/home/saturne/src/gmp-4.1.4_build
#chemins mpfr
VERSIONMPFR="2.1.1"
SRCPATHMPFR=$SATURNEPATH/src/mpfr-$VERSIONMPFR       #SRCPATH=/home/saturne/src/mpfr-2.1.1
OPTPATHMPFR=$SATURNEPATH/opt/mpfr-$VERSIONMPFR       #OPTPATH=/home/saturne/opt/mpfr-2.1.1
BUILDMPFR=$SATURNEPATH/src/mpfr-${VERSIONMPFR}.build #SRCPATH=/home/saturne/src/mpfr-2.1.1_build
#chemins gcc
VERSIONGCC="4.1.1"
SRCPATHGCC=$SATURNEPATH/src/gcc-$VERSIONGCC       #SRCPATH=/home/saturne/src/gcc-4.1.1
OPTPATHGCC=$SATURNEPATH/opt/gcc-$VERSIONGCC       #OPTPATH=/home/saturne/opt/gcc-4.1.1
BUILDGCC=$SATURNEPATH/src/gcc-${VERSIONGCC}.build #SRCPATH=/home/saturne/src/gcc-4.1.1_build

#Install gmp
echo "Installing GMP $VERSIONGMP"
echo "=========================="
echo
if [ ! -d $BUILDGMP ]
then
  mkdir $BUILDGMP
fi
cd $BUILDGMP
$SRCPATHGMP/configure --prefix=$OPTPATHGMP
make
make check
make install

#Install mfpr
echo "Installing MPFR $VERSIONMPFR"
echo "============================"
echo
if [ ! -d $BUILDMPFR ]
then
  mkdir $BUILDMPFR
fi
cd $BUILDMPFR
$SRCPATHMPFR/configure --prefix=$OPTPATHMPFR --with-gmp=$OPTPATHGMP
make
make check
make install

#Install gcc
echo "Installing GCC $VERSIONGCC"
echo "=========================="
echo
if [ ! -d $BUILDGCC ]
then
  mkdir $BUILDGCC
fi
cd $BUILDGCC
$SRCPATHGCC/configure --prefix=$OPTPATHGCC --with-mpfr=$OPTPATHMPFR \
      --with-gmp=$OPTPATHGMP --enable-languages=c,c++,fortran
make bootstrap
make install

#Export PATHs
export PATH=$PATH:$OPTPATH/bin
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$OPTPATH/lib
